import type { IQueryPair } from '../types/antlrQueryTypes';
export declare function isKeyToken(tokenType: number): boolean;
export declare function isOperatorToken(tokenType: number): boolean;
export declare function isNonValueOperatorToken(tokenType: number): boolean;
export declare function isValueToken(tokenType: number): boolean;
export declare function isConjunctionToken(tokenType: number): boolean;
export declare function isBracketToken(tokenType: number): boolean;
export declare function isMultiValueOperator(operatorToken?: string): boolean;
export declare function isFunctionToken(tokenType: number): boolean;
export declare function isWrappedUnderQuotes(token: string): boolean;
export declare function isFunctionOperator(operator: string): boolean;
export declare function isNonValueOperator(operator: string): boolean;
export declare function isQueryPairComplete(queryPair: Partial<IQueryPair>): boolean;
